Redmine - Defect #32858

Exporting issue as PDF fails when the issue has private journal
2020-01-24 02:38 - Kouhei Sutou

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 411

Resolution: Fixed Affected version:

Description

If an issue that has one or more private journals, PDF export of the issue is failed with the following backtrace:

ActionView: :Template: :Error (can't modify frozen String):
1l: <%= raw issue_to_pdf (@issue, :journals => @journals) %>

lib/redmine/export/pdf/issues_pdf_helper.rb:215:in “block in issue_to_pdf'
lib/redmine/export/pdf/issues_pdf_helper.rb:212:in "each'
lib/redmine/export/pdf/issues_pdf_helper.rb:212:in "issue_to_pdf'
app/views/issues/show.pdf.erb:1:in ' _app_views_issues_show_pdf_erb__ 2781995059460618483_699220497
68460"

lib/redmine/sudo_mode.rb:65:in ' sudo_mode'

| attach a patch to fix this.

Associated revisions

Revision 19458 - 2020-01-25 04:07 - Go MAEDA

Exporting issue as PDF fails when the issue has private journal (#32858).

Patch by Kouhei Sutou.

Revision 19459 - 2020-01-25 04:08 - Go MAEDA
Merged r19458 from trunk to 4.1-stable (#32858).

History

#1 - 2020-01-24 04:57 - Go MAEDA
- Tracker changed from Patch to Defect
- Status changed from New to Confirmed

- Target version set to 4.1.1

| have confirmed this issue and it can be fixed with the attached patch.

Setting the target version to 4.1.1.

#2 - 2020-01-25 04:09 - Go MAEDA

- Subject changed from Failed to export issue as PDF when the issue has private journal to Exporting issue as PDF fails when the issue has private
journal

- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for catching and fixing the issue.

Files

fix-issue-with-private-jorunal-pdf-export.diff 1.67 KB 2020-01-24 Kouhei Sutou
